factory.c File Reference
Include dependency graph for factory.c:

## Data Structures

struct | resource_data

## Functions

SPA_EXPORT struct pw_factory * | pw_factory_new (struct pw_core *core, const char *name, uint32_t type, uint32_t version, struct pw_properties *properties, size_t user_data_size)
SPA_EXPORT void | pw_factory_destroy (struct pw_factory *factory)
SPA_EXPORT int | pw_factory_register (struct pw_factory *factory, struct pw_client *owner, struct pw_global *parent, struct pw_properties *properties)
SPA_EXPORT void * | pw_factory_get_user_data (struct pw_factory *factory)
SPA_EXPORT struct pw_global * | pw_factory_get_global (struct pw_factory *factory)
| Get the global of this factory. More...
SPA_EXPORT void | pw_factory_add_listener (struct pw_factory *factory, struct spa_hook *listener, const struct pw_factory_events *events, void *data)
| Add an event listener. More...
SPA_EXPORT void | pw_factory_set_implementation (struct pw_factory *factory, const struct pw_factory_implementation *implementation, void *data)
SPA_EXPORT void * | pw_factory_create_object (struct pw_factory *factory, struct pw_resource *resource, uint32_t type, uint32_t version, struct pw_properties *properties, uint32_t new_id)

## Function Documentation

## pw_factory_add_listener()

SPA_EXPORT void pw_factory_add_listener | ( | struct pw_factory * | factory,
|  | struct spa_hook * | listener,
|  | const struct pw_factory_events * | events,
|  | void * | data
| ) |  |

Add an event listener.

## pw_factory_create_object()

SPA_EXPORT void* pw_factory_create_object | ( | struct pw_factory * | factory,
|  | struct pw_resource * | resource,
|  | uint32_t | type,
|  | uint32_t | version,
|  | struct pw_properties * | properties,
|  | uint32_t | new_id
| ) |  |

## pw_factory_destroy()

SPA_EXPORT void pw_factory_destroy | ( | struct pw_factory * | factory | ) |

References pw_global_destroy(), pw_properties_free(), and pw_resource_destroy().

## pw_factory_get_global()

SPA_EXPORT struct pw_global* pw_factory_get_global | ( | struct pw_factory * | factory | ) |

Get the global of this factory.

## pw_factory_get_user_data()

SPA_EXPORT void* pw_factory_get_user_data | ( | struct pw_factory * | factory | ) |

## pw_factory_new()

SPA_EXPORT struct pw_factory* pw_factory_new | ( | struct pw_core * | core,
|  | const char * | name,
|  | uint32_t | type,
|  | uint32_t | version,
|  | struct pw_properties * | properties,
|  | size_t | user_data_size
| ) |  |

References pw_properties::dict.

## pw_factory_register()

SPA_EXPORT int pw_factory_register | ( | struct pw_factory * | factory,
|  | struct pw_client * | owner,
|  | struct pw_global * | parent,
|  | struct pw_properties * | properties
| ) |  |

References pw_global_add_listener(), pw_global_new(), pw_global_register(), pw_properties_new(), pw_properties_set(), pw_properties_setf(), and PW_VERSION_FACTORY.

## pw_factory_set_implementation()

SPA_EXPORT void pw_factory_set_implementation | ( | struct pw_factory * | factory,
|  | const struct pw_factory_implementation * | implementation,
|  | void * | data
| ) |  |